[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDatabase.Create

Initialize a new TDatabase class instance.

## Declaration

Source position: db.pas line 1958

`public constructor TDatabase.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner for the new TDatabase instance.

## Description

Create initializes a new instance of the TDatabase class. It allocates some resources and then calls the inherited constructor.

## See also

TDBDataset |  | Dataset connected to a database.
TDBTransaction |  | Encapsulate a transaction
TDatabase.Destroy |  | Remove a TDatabase instance from memory.

Documentation generated on: Feb 26 2014